
use strict;
use warnings;

use Module::Build 0.3601;
use lib qw{inc}; use My::Builder;

my %module_build_args = (
  "build_requires" => {
    "Cwd" => "3.30",
    "Module::Build" => "0.3601",
    "Path::Class" => "0.19",
    "autodie" => "2.06_01"
  },
  "configure_requires" => {
    "Module::Build" => "0.3601"
  },
  "dist_abstract" => "setup Tails persistent storage",
  "dist_author" => [
    "Tails developers <tails\@boum.org>"
  ],
  "dist_name" => "Tails-Persistence",
  "dist_version" => "1.0.1",
  "license" => "gpl",
  "module_name" => "Tails::Persistence",
  "recommends" => {},
  "recursive_test_files" => 1,
  "requires" => {
    "Carp" => "1.11",
    "Clone" => "0.31",
    "Glib" => "1.223",
    "Gtk2" => "1.242",
    "IPC::System::Simple" => "1.21",
    "List::MoreUtils" => "0.24",
    "List::Util" => 0,
    "Method::Signatures::Simple" => "1.02",
    "Moose" => "1.09",
    "MooseX::Getopt" => "0.31",
    "MooseX::Has::Sugar" => "0.0405",
    "MooseX::Method::Signatures" => "0.35",
    "MooseX::Types" => "0.22",
    "MooseX::Types::Path::Class" => "0.05",
    "Net::DBus" => "v0.33.6",
    "Net::DBus::GLib" => "v0.33.0",
    "Number::Format" => "1.73",
    "Pango" => "1.221",
    "Path::Class" => "0.19",
    "Tails" => "0.2",
    "Try::Tiny" => "0.04",
    "namespace::autoclean" => "0.09"
  },
  "script_files" => [
    "bin/tails-fix-persistent-volume-permissions",
    "bin/tails-persistence-setup"
  ],
  "share_dir" => {
    "dist" => "share"
  },
  "test_requires" => {
    "LWP::Online" => "1.07",
    "Module::Pluggable::Object" => "3.9",
    "Path::Class" => "0.19",
    "Test::BDD::Cucumber" => "0.04",
    "Test::Most" => "0.22",
    "Test::Spec" => "0.40"
  }
);


my %fallback_build_requires = (
  "Cwd" => "3.30",
  "LWP::Online" => "1.07",
  "Module::Build" => "0.3601",
  "Module::Pluggable::Object" => "3.9",
  "Path::Class" => "0.19",
  "Test::BDD::Cucumber" => "0.04",
  "Test::Most" => "0.22",
  "Test::Spec" => "0.40",
  "autodie" => "2.06_01"
);


unless ( eval { Module::Build->VERSION(0.4004) } ) {
  delete $module_build_args{test_requires};
  $module_build_args{build_requires} = \%fallback_build_requires;
}

my $build = My::Builder->new(%module_build_args);

$build->create_build_script;
